net.minecraftforge.event.entity.item

## Class ItemExpireEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.item.ItemEvent
      - - net.minecraftforge.event.entity.item.ItemExpireEvent

-     public class ItemExpireEvent
      extends ItemEvent

  Event that is fired when an EntityItem's age has reached its maximum lifespan. Canceling this event will prevent the EntityItem from being flagged as dead, thus staying it's removal from the world. If canceled it will add more time to the entitie's life equal to extraLife.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `extraLife`

    - ### Fields inherited from class net.minecraftforge.event.entity.item.ItemEvent

      `entityItem`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemExpireEvent(EntityItem entityItem, int extraLife)` Creates a new event for an expiring EntityItem.

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extraLife

          public int extraLife

  - ### Constructor Detail

    - #### ItemExpireEvent

          public ItemExpireEvent(EntityItem entityItem,
                         int extraLife)

      Creates a new event for an expiring EntityItem.
      Parameters:
        `entityItem` - The EntityItem being deleted.
        `extraLife` - The amount of time to be added to this entities lifespan if the event is canceled.